List supported magic byte formats + text encodings
Static catalog of magic byte formats (from the file-type library plus our custom descriptors) and text encodings the classifier accepts in a ContentTypeMatcher. Used by the matcher editor to populate dropdowns so it stays in sync with backend support.
Authorization
OAuth2 upl:privateAuthorizationBearer <token>
OAuth 2.0 authorization
In: header
Scope: upl:private
Header Parameters
Connect-Protocol-Version*number
Define the version of the Connect protocol
Value in
1Connect-Timeout-Ms?number
Define the timeout, in ms
Request Body
application/json
[key: string]?never
Response Body
application/json
application/json
curl -X POST "https://uploads-api.xeonr.io/uplim.api.v1.IntegrationAdminService/ListSupportedMagicFormats" \ -H "Connect-Protocol-Version: 1" \ -H "Content-Type: application/json" \ -d '{}'{
"formats": [
{
"value": "string",
"label": "string",
"category": "string"
}
],
"encodings": [
{
"value": "string",
"label": "string"
}
]
}{
"code": "not_found",
"message": "string",
"details": [
{
"type": "string",
"value": "string",
"debug": {}
}
]
}